For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList leaderboard types
      • GETGet leaderboard entries
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesLeaderboards

Get leaderboard entries

GET
https://api.wynncraft.com/v3/leaderboards/:lb_type
GET
/v3/leaderboards/:lb_type
$curl https://api.wynncraft.com/v3/leaderboards/lb_type
1{
2 "1": {
3 "metaScore": 16082980,
4 "name": "Sequoia",
5 "uuid": "ee860b7c-9a1d-49cf-9f19-ab673ba0f23b",
6 "prefix": "SEQ",
7 "score": 16082980,
8 "metadata": {
9 "completions": 37580,
10 "gambits": 434509
11 },
12 "banner": {
13 "base": "YELLOW",
14 "tier": 8,
15 "structure": "dynastyBanner",
16 "layers": [
17 {
18 "colour": "BLACK",
19 "pattern": "RHOMBUS_MIDDLE"
20 },
21 {
22 "colour": "YELLOW",
23 "pattern": "CROSS"
24 },
25 {
26 "colour": "BLACK",
27 "pattern": "FLOWER"
28 },
29 {
30 "colour": "RED",
31 "pattern": "GRADIENT_UP"
32 },
33 {
34 "colour": "WHITE",
35 "pattern": "CIRCLE_MIDDLE"
36 }
37 ]
38 }
39 }
40}
<Note> This endpoint is cached for <Badge intent="warning" minimal>10 minutes</Badge> in the <Badge intent="warning" minimal>USER</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>LEADERBOARDS</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> Leaderboards update every 10 minutes for online players. Players who go offline between update intervals are flagged to update on the next interval. Use `resultLimit` with an integer below 1000 to limit the response size. The default limit is `100`. Character-based leaderboards can include `characterUuid` and `characterType`, such as profession or gamemode leaderboards. `metadata` contains variable keys depending on the leaderboard type. Some gamemode leaderboards also include top-level `characterData`, which has the same structure as player character data. Some entries also include optional rank presentation fields such as `rank`, `supportRank`, `shortenedRank`, `legacyRankColour`, and `rankBadge`. Guild season leaderboard types are dynamic and use the `guildSeason...` format returned by `GET /leaderboards/types`, such as `guildSeason32`. Raid leaderboards include a score and gambits used. Completion starts at 200, then adds +10, +20, or +30 for each gambit. `previousRanking` is stored daily depending on player activity. Subtracting `previousRanking` from the current ranking gives the player's leaderboard progression.
Was this page helpful?
Previous

List leaderboard types

Next

Fetch a published article

Built with

This endpoint is cached for 10 minutes in the USER cache source. See Caching.

This endpoint belongs to the LEADERBOARDS rate-limit bucket. See Throttling and Rate Limits.

Leaderboards update every 10 minutes for online players. Players who go offline between update intervals are flagged to update on the next interval.

Use resultLimit with an integer below 1000 to limit the response size. The default limit is 100.

Character-based leaderboards can include characterUuid and characterType, such as profession or gamemode leaderboards.

metadata contains variable keys depending on the leaderboard type. Some gamemode leaderboards also include top-level characterData, which has the same structure as player character data.

Some entries also include optional rank presentation fields such as rank, supportRank, shortenedRank, legacyRankColour, and rankBadge.

Guild season leaderboard types are dynamic and use the guildSeason... format returned by GET /leaderboards/types, such as guildSeason32.

Raid leaderboards include a score and gambits used. Completion starts at 200, then adds +10, +20, or +30 for each gambit.

previousRanking is stored daily depending on player activity. Subtracting previousRanking from the current ranking gives the player’s leaderboard progression.

Path parameters

lb_typestringRequired

Leaderboard identifier such as playerContent.

Query parameters

resultLimitintegerOptional1-1000
Defaults to 100.

Response

Leaderboard entries keyed by ranking position.
GuildEntryobject
OR
GuildLegacyEntryobject
OR
PlayerEntryobject

Errors

400
Bad Request Error